aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTino Reichardt <[email protected]>2024-10-06 23:32:08 +0200
committerGitHub <[email protected]>2024-10-06 14:32:08 -0700
commit995a3a61fdcf6b6b4479f073c19271854c48de6f (patch)
tree1b32913812cf57d077e06dd61013034f00f60729
parent87ca6ba9a8c5deb0fe610808035db7eefe3eeb71 (diff)
ZTS: Fix summary page creation again - second try
In PR #16599 I used 'return' like in C - which is wrong :/ This fix generates the summary as needed. Reviewed-by: Brian Behlendorf <[email protected]> Signed-off-by: Tino Reichardt <[email protected]> Closes #16611
-rwxr-xr-x.github/workflows/scripts/qemu-9-summary-page.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/.github/workflows/scripts/qemu-9-summary-page.sh b/.github/workflows/scripts/qemu-9-summary-page.sh
index cae287ac1..737dda01b 100755
--- a/.github/workflows/scripts/qemu-9-summary-page.sh
+++ b/.github/workflows/scripts/qemu-9-summary-page.sh
@@ -11,12 +11,10 @@ function output() {
}
function outfile() {
- test -s "$1" || return
cat "$1" >> "out-$logfile.md"
}
function outfile_plain() {
- test -s "$1" || return
output "<pre>"
cat "$1" >> "out-$logfile.md"
output "</pre>"
@@ -45,6 +43,8 @@ if [ ! -f out-1.md ]; then
tar xf "$tarfile"
test -s env.txt || continue
source env.txt
+ # when uname.txt is there, the other files are also ok
+ test -s uname.txt || continue
output "\n## Functional Tests: $OSNAME\n"
outfile_plain uname.txt
outfile_plain summary.txt